package goki.stats.client.gui;

import goki.stats.handlers.PacketHandler;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.world.World;
import cpw.mods.fml.common.network.IGuiHandler;
import cpw.mods.fml.common.network.PacketDispatcher;

public class GuiHandler implements IGuiHandler
{

	@Override
	public Object getServerGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)
	{
		return null;
	}

	@Override
	public Object getClientGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z)
	{
		if (ID == GuiInfo.STATS_SCREEN_ID)
		{
			PacketDispatcher.sendPacketToServer(PacketHandler.getStatSyncPacket(player, true));
			return new GuiStats(player);
		} else if (ID == GuiInfo.COMPATIBILITY_SCREEN_ID)
		{
			return new GuiCompatibilityHelper(player);
		}
		return null;
	}

}
