package goki.stats.stats;

import goki.stats.lib.Helper;
import net.minecraft.entity.player.EntityPlayer;

public class StatSteadyGuard extends Stat
{

	public StatSteadyGuard(int id, String key, String name, int limit)
	{
		super(id, key, name, limit);
	}

	@Override
	public float getBonus(int level)
	{
		return Math.min(getFinalBonus((float) Math.pow(level, 1.3615)), 100);
	}

	@Override
	public String getAppliedDescriptionString(EntityPlayer player)
	{
		return Helper.trimDecimals(getBonus(player), 1) + "% less knockback when blocking.";
	}

}
