package goki.stats.stats;

import goki.stats.ToolSpecificStat;
import goki.stats.lib.Helper;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;

public class StatTrimming extends ToolSpecificStat
{
	public StatTrimming(int id, String key, String name, int limit)
	{
		super(id, key, name, limit);
	}

	@Override
	public String getConfigurationKey()
	{
		return "Trimming Tools";
	}

	@Override
	public float getBonus(int level)
	{
		return getFinalBonus(level * 0.1f);
	}

	@Override
	public String getAppliedDescriptionString(EntityPlayer player)
	{
		return "Trim " + Helper.trimDecimals(getBonus(getPlayersStatLevel(player)) * 100, 1) + "% faster.";
	}

	@Override
	public String[] getDefaultSupportedItems()
	{
		return new String[]
		{ Item.shears.itemID + ":0" };
	}

}
