package goki.stats;

import goki.stats.lib.Reference;
import goki.stats.stats.Stat;
import net.minecraft.command.CommandBase;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.server.MinecraftServer;

public class StatsCommand extends CommandBase
{

	@Override
	public String getCommandName()
	{
		return "reloadGokiStats"; //Name of the command e.g "/Test", "/Command"
	}

	@Override
	public void processCommand(ICommandSender icommandsender, String[] astring)
	{

		Reference.configuration.load();
		Stat.loadOptions(Reference.configuration);
		Stat.loadAllStatsFromConfiguration(Reference.configuration);
		if (icommandsender instanceof EntityPlayer)
		{
			EntityPlayer player = (EntityPlayer) icommandsender;
			player.addChatMessage("Reloaded gokiStats configuration file.");
		} else
		{
			MinecraftServer.getServer().logInfo("Reloaded gokiStats configuration file.");
		}

	}

	@Override
	public String getCommandUsage(ICommandSender icommandsender)
	{
		return null;
	}

}