package goki.stats.stats;

import net.minecraft.entity.player.EntityPlayer;

public interface IStat
{
	int isAffectedByStat(Object object);

	int isAffectedByStat(Object object1, Object object2);

	int isAffectedByStat(Object object1, Object object2, Object object3);

	String getSimpleDescriptionString();

	String getAppliedDescriptionString(EntityPlayer player);

	public float getBonus(EntityPlayer player);

	float getBonus(int level);

	float getSecondaryBonus(int level);

	float getSecondaryBonus(EntityPlayer player);

	float getAppliedBonus(EntityPlayer player, Object object);

	int getCost(int level);

	int getLimit();

}
