package goki.stats.stats;

import goki.stats.lib.Helper;
import net.minecraft.entity.player.EntityPlayer;

public class StatClimbing extends Stat
{

	public StatClimbing(int id, String key, String name, int limit)
	{
		super(id, key, name, limit);
	}

	@Override
	public float getBonus(int level)
	{
		return getFinalBonus((float) Math.pow(level, 1.10) * 0.0290f);
	}

	@Override
	public String getAppliedDescriptionString(EntityPlayer player)
	{
		return "Climb " + Helper.trimDecimals(getBonus(getPlayersStatLevel(player)) * 100, 1) + "% faster.";
	}
}
