package goki.stats.stats;

import goki.stats.lib.Helper;
import net.minecraft.entity.player.EntityPlayer;

public class StatFocus extends Stat
{

	public StatFocus(int id, String key, String name, int limit)
	{
		super(id, key, name, limit);
	}

	@Override
	public float getBonus(int level)
	{
		return getFinalBonus((float) Math.pow(level, 1.36) * 0.03767f);
	}

	@Override
	public String getAppliedDescriptionString(EntityPlayer player)
	{
		return "Move " + Helper.trimDecimals(getBonus(getPlayersStatLevel(player)) * 100, 1) + "% faster when using items.";
	}
}
