package goki.stats.stats;

import net.minecraft.entity.player.EntityPlayer;

public class StatFurnaceFinesse extends Stat
{

	public StatFurnaceFinesse(int id, String key, String name, int limit)
	{
		super(id, key, name, limit);
	}

	@Override
	public float getBonus(int level)
	{
		return Math.min(getFinalBonus(level / 5.0f), 199);
	}

	@Override
	public float getSecondaryBonus(int level)
	{
		return Math.min(getFinalBonus(level), 100);
	}

	@Override
	public String getAppliedDescriptionString(EntityPlayer player)
	{
		int level = getPlayersStatLevel(player);
		return "Smelt " + getBonus(level) + " ticks faster " + getSecondaryBonus(level) + "% of the time while using a furnace.";
	}
}