package goki.stats.stats;

import goki.stats.lib.Helper;
import net.minecraft.entity.player.EntityPlayer;

public class StatPugilism extends Stat
{

	public StatPugilism(int id, String key, String name, int limit)
	{
		super(id, key, name, limit);
	}

	@Override
	public float getBonus(int level)
	{
		return getFinalBonus((float) Math.pow(level, 1.03) * 0.1816f);
	}

	@Override
	public String getAppliedDescriptionString(EntityPlayer player)
	{
		return "Deal " + Helper.trimDecimals(getBonus(getPlayersStatLevel(player)) * 100, 1) + "% more damage with your tree punchers.";
	}
}
